import ListOptions from "./ListOptions";
export interface ListWarrantOptions extends ListOptions {
    objectType?: string;
    objectId?: string;
    relation?: string;
    userId?: string;
}
export interface Context {
    [key: string]: string;
}
export interface Subject {
    objectType: string;
    objectId: string;
    relation?: string;
}
export declare function isSubject(object: any): object is Subject;
export default interface Warrant {
    objectType: string;
    objectId: string;
    relation: string;
    subject: Subject;
    context?: Context;
}
export interface WarrantObject {
    getObjectType(): string;
    getObjectId(): string;
}
export declare function isWarrantObject(object: any): object is WarrantObject;
export interface WarrantObjectLiteral {
    objectType: string;
    objectId: string;
}
export interface WarrantParams {
    object: WarrantObject | WarrantObjectLiteral;
    relation: string;
    subject: WarrantObject | Subject;
    context?: Context;
}
